Ubuntu

linux: 2.6.38-11.50 -proposed tracker

Reported by Herton R. Krzesinski on 2011-09-12
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Kees Cook
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-11.50 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 12. September 2011 20:18 UTC
kernel-stable-Prepare-package-end:Tuesday, 13. September 2011 04:34 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 13. September 2011 04:34 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 13. September 2011 10:47 UTC
kernel-stable-Verification-testing-start:Tuesday, 13. September 2011 10:47 UTC
kernel-stable-Verification-testing-end:Tuesday, 13. September 2011 14:00 UTC
kernel-stable-Certification-testing-start:Tuesday, 13. September 2011 14:00 UTC
kernel-stable-Security-signoff-start:Tuesday, 13. September 2011 14:00 UTC
kernel-stable-Regression-testing-start:Tuesday, 13. September 2011 14:00 UTC
kernel-stable-Security-signoff-end:Tuesday, 13. September 2011 19:00 UTC
kernel-stable-Regression-testing-end:Friday, 16. September 2011 19:45 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 20. September 2011 19:30 UTC
kernel-stable-Certification-testing-end:Tuesday, 20. September 2011 19:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 21. September 2011 06:46 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 21. September 2011 06:46 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 848587

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 848588

description: updated
Martin Pitt (pitti) on 2011-09-13
Changed in linux (Ubuntu):
status: In Progress → Invalid
description: updated
Herton R. Krzesinski (herton) wrote :

This natty release had 3 unverified/failed fixes reverted (for bugs 509180, 795717, 728835). Everything else is ok or verified, Setting Verification-testing to fix released.

description: updated
Kees Cook (kees) wrote :

Looks good, thanks!

description: updated
Steve Conklin (sconklin) on 2011-09-16
tags: added: verification-failed
summary: - linux: 2.6.38-11.50 -proposed tracker
+ [regression] linux: 2.6.38-11.50 -proposed tracker
summary: - [regression] linux: 2.6.38-11.50 -proposed tracker
+ linux: 2.6.38-11.50 -proposed tracker
tags: removed: verification-failed
Steve Conklin (sconklin) wrote :

Sorry for the false alarm. We had a regression show up, but it's already in updates, so we'll just fix it in the next release and not hold this one. I blocked the tracking bug to make sure it didn't get released while I investigated.

C de-Avillez (hggdh2) wrote :

No regressions observed.

tags: added: qa-testing-passed
description: updated

For some reason I forgot to set this to In Progress when we started testing last week. We're now finished so I'll be setting this to Fix Released straight away.

Hardware Certification has completed testing on 94 out of 99 systems. 5 others were subject to hardware problem not due to the SRU. Report available here:

http://people.canonical.com/~hwcert/sru-testing/wk37_2011/natty-proposed.html

tags: added: certification-testing-passed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-11.50

---------------
linux (2.6.38-11.50) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #848246

  [ Upstream Kernel Changes ]

  * Revert "eCryptfs: Handle failed metadata read in lookup"
  * Revert "KVM: fix kvmclock regression due to missing clock update"
  * Revert "ath9k: use split rx buffers to get rid of order-1 skb
    allocations"

linux (2.6.38-11.49) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #836903

  [ Adam Jackson ]

  * SAUCE: drm/i915/pch: Fix integer math bugs in panel fitting
    - LP: #753994

  [ Keng-Yu Lin ]

  * SAUCE: Input: ALPS - Enable Intellimouse mode for Lenovo Zhaoyang E47
    - LP: #632884, #803005

  [ Stefan Bader ]

  * [Config] Force perf to use libiberty for demangling
    - LP: #783660

  [ Tim Gardner ]

  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * eeepc-wmi: add keys found on EeePC 1215T
    - LP: #812644
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * vmscan: fix a livelock in kswapd
    - LP: #813797
  * mmc: Add PCI fixup quirks for Ricoh 1180:e823 reader
    - LP: #773524
  * mmc: Added quirks for Ricoh 1180:e823 lower base clock frequency
    - LP: #773524
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * pata_marvell: Add support for 88SE91A0, 88SE91A4
    - LP: #777325
  * GFS2: make sure fallocate bytes is a multiple of blksize, CVE-2011-2689
    - LP: #819572
    - CVE-2011-2689
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * Add mount option to check uid of device being mounted = expect uid,
    CVE-2011-1833
    - LP: #732628
    - CVE-2011-1833
  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * ath9k: use split rx buffers to get rid of order-1 skb allocations
    - LP: #728835
  * perf: Fix software event overflow, CVE-2011-2918
    - LP: #834121
    - CVE-2011-2918
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 12 Sep 2011 17:23:38 -0300

Changed in linux (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers